<?php
namespace Opencart\Catalog\Controller\Extension\Chatbro\Module;

//4.0.0.0
require_once DIR_EXTENSION . '/chatbro/system/library/library_autoloader.php';

use \Opencart\System\Library\Extension\Chatbro\LibraryloaderTrait;
use \Opencart\System\Library\Extension\Chatbro\StoreloaderTrait;

class Chatbro extends \Opencart\System\Engine\Controller {
	use StoreloaderTrait;
    use LibraryloaderTrait;

	private $store_id = 0;

	public function __construct($registry) {
        parent::__construct($registry);

        if (getenv("CHATBRO_STORE_ID")) {
            $this->store_id = (int)getenv("CHATBRO_STORE_ID");
        } else {
            $this->store_id = (int)$this->config->get('config_store_id');
        }

        $this->loadStore($this->store_id);
		$this->loadLibrary($this->store_id);
    }

	protected function initChatbro() {
        $this->chatbroapp->init();
    }

	public function display_chats(string &$route, array &$data, mixed &$output): void {
        $this->initChatbro();
		$snippet = $this->chatbroapp->displayChats();
        $output = str_replace('</head>', $snippet . '</head>', $output);
    }

	public function init_shortcodes(string &$route, array &$data, mixed &$output): void {
        $this->initChatbro();
		$data['chatbro'] = $this->chatbroapp->getShortcodeInstance();
    }
}